Loading...
Searching...
No Matches
version.h File Reference
`#include "version_master.h"`
Include dependency graph for version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | MSGPACK_STR(v) #v
#define | MSGPACK_VERSION_I(maj, min, rev) MSGPACK_STR(maj) "." MSGPACK_STR(min) "." MSGPACK_STR(rev)
#define | MSGPACK_VERSION MSGPACK_VERSION_I(MSGPACK_VERSION_MAJOR, MSGPACK_VERSION_MINOR, MSGPACK_VERSION_REVISION)

## Functions

MSGPACK_DLLEXPORT const char * | msgpack_version (void)
MSGPACK_DLLEXPORT int | msgpack_version_major (void)
MSGPACK_DLLEXPORT int | msgpack_version_minor (void)
MSGPACK_DLLEXPORT int | msgpack_version_revision (void)

## Macro Definition Documentation

## MSGPACK_STR

#define MSGPACK_STR | ( |  | v | ) | #v

## MSGPACK_VERSION

#define MSGPACK_VERSION MSGPACK_VERSION_I(MSGPACK_VERSION_MAJOR, MSGPACK_VERSION_MINOR, MSGPACK_VERSION_REVISION)

## MSGPACK_VERSION_I

#define MSGPACK_VERSION_I | ( |  | maj,
|  |  | min,
|  |  | rev
| ) |  | MSGPACK_STR(maj) "." MSGPACK_STR(min) "." MSGPACK_STR(rev)

## Function Documentation

## msgpack_version()

MSGPACK_DLLEXPORT const char * msgpack_version | ( | void |  | ) |

## msgpack_version_major()

MSGPACK_DLLEXPORT int msgpack_version_major | ( | void |  | ) |

## msgpack_version_minor()

MSGPACK_DLLEXPORT int msgpack_version_minor | ( | void |  | ) |

## msgpack_version_revision()

MSGPACK_DLLEXPORT int msgpack_version_revision | ( | void |  | ) |